## org.eclipse.amp.axf.ide
Class ModelManagerViewPart.ModelContents

    java.lang.Object
      org.eclipse.amp.axf.ide.ModelManagerViewPart.ModelContents

Enclosing class:
  ModelManagerViewPart

    private static final class ModelManagerViewPart.ModelContents

extends java.lang.Object

Constructor Summary
`private` `ModelManagerViewPart.ModelContents()`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `inputChanged(Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelManagerViewPart.ModelContents

    private ModelManagerViewPart.ModelContents()

Method Detail

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

### getParent

    public java.lang.Object getParent(java.lang.Object element)

### hasChildren

    public boolean hasChildren(java.lang.Object element)

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

### dispose

    public void dispose()

### inputChanged

    public void inputChanged(Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors